function init()
	unlimitedammo = GetBool("savegame.mod.unlimitedammo")
	SetBool("savegame.mod.unlimitedammo", false)
	spentcasingsoption = GetBool("savegame.mod.spentcasingsoption")
	if unlimitedammo == 0 then unlimitedammo = 0.15 end
	damage = GetInt("savegame.mod.damage")
	if damage < 50 then
		damage = 100
		SetInt("savegame.mod.damage", 100)
	end
end

function draw()
	UiTranslate(UiCenter(), 350)
	UiAlign("center middle")

	UiFont("bold.ttf", 48)
	UiText("Saiga-12")
	UiFont("regular.ttf", 26)
	UiTranslate(0, 70)
	UiPush()
		UiText("Unlimited Ammo")
		UiTranslate(0, 40)
		UiAlign("center")
		UiColor(0.5, 0.8, 1)
		if unlimitedammo then
			if UiTextButton("Yes", 20, 20) then
				unlimitedammo = false
				SetBool("savegame.mod.unlimitedammo", unlimitedammo)
			end
		else
			if UiTextButton("No", 20, 20) then
				unlimitedammo = true
				SetBool("savegame.mod.unlimitedammo", unlimitedammo)
			end
		end
	UiPop()
	UiTranslate(0, 80)
	UiPush()
		UiText("Spent Casings")
		UiTranslate(15, 40)
		UiAlign("right")
		UiColor(0.5, 0.8, 1)
		if spentcasingsoption then
			if UiTextButton("Yes", 20, 20) then
				spentcasingsoption = false
				SetBool("savegame.mod.spentcasingsoption", spentcasingsoption)
			end
		else
			if UiTextButton("No", 20, 20) then
				spentcasingsoption = true
				SetBool("savegame.mod.spentcasingsoption", spentcasingsoption)
			end
		end
	UiPop()
	UiTranslate(0, 80)
	UiPush()
		UiText("Damage: "..damage.."%")
		UiTranslate(-50, 40)
		UiAlign("right")
		UiColor(0.5, 0.8, 1)
		damage = optionsSlider(damage, 50, 1000, 10)
		SetInt("savegame.mod.damage", damage)
	UiPop()
	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)

	UiTranslate(0, 120)
	if UiTextButton("Close", 80, 40) then
		Menu()
	end
end

function optionsSlider(current, min, max, incri)
    UiPush()
        UiTranslate(0, -8)
        local steps = incri or 1
        local value = (current - min) / (max - min)
        local width = 100
	UiTranslate(width, 0)
        UiRect(width, 3)
	UiTranslate(-width, 0)
        UiAlign("center middle")
        value = UiSlider("ui/common/dot.png", "x", value*width, 0, width)/width
        value = math.floor((value*(max-min)+min)/steps+0.5)*steps
    UiPop()
    return value
end

function round(number, decimals)
    local power = 10^decimals
    return math.floor(number * power) / power
end